package eu.mhsl.craftattack.spawn.appliances.customAdvancements;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import org.bukkit.Bukkit;
import org.bukkit.NamespacedKey;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.jetbrains.annotations.NotNull;

import java.util.List;
import java.util.Objects;

public class CustomAdvancements extends Appliance {
    public void grantAdvancement(String advancementName, Player player) {
        player.getAdvancementProgress(Objects.requireNonNull(Bukkit.getAdvancement(Objects.requireNonNull(NamespacedKey.fromString("custom_advancements:craftattack/" + advancementName))))).awardCriteria("criteria");
    }

    @Override
    @NotNull
    protected List<Listener> eventHandlers() {
        return List.of(new CustomAdvancementsDamageEntityListener());
    }
}
