package eu.mhsl.craftattack.spawn.appliances.customAdvancements;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import org.bukkit.entity.Entity;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.entity.EntityDamageByEntityEvent;

public class CustomAdvancementsDamageEntityListener extends ApplianceListener<CustomAdvancements> {
    @EventHandler
    public void onEntityDamageEntity(EntityDamageByEntityEvent event) {
        Entity damaged = event.getEntity();
        if(!(damaged instanceof Player)) return;
        Entity damager = event.getDamager();
        if(!(damager instanceof Player)) return;
        if(damaged.hasPermission("admin")) {
            getAppliance().grantAdvancement("search_trouble", (Player) damager);
        }
    }
}
