package eu.mhsl.craftattack.spawn.appliances.help.command;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.appliances.help.Help;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class HelpCommand extends ApplianceCommand<Help> {
    public HelpCommand() {
        super("help");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        sender.sendMessage(
            Component.text("Willkommen auf Craftattack!", NamedTextColor.GOLD)
                .appendNewline()
                .append(Component.text("Hier ist ein Hilfetext!", NamedTextColor.GRAY))
        );
    }
}
