package eu.mhsl.craftattack.spawn.appliances.kick;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.util.text.DisconnectInfo;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

public class Kick extends Appliance {
    public void kick(@NotNull String playerName, @Nullable String message) {
        Player player = Bukkit.getPlayer(playerName);

        if(player == null)
            throw new ApplianceCommand.Error("Player not found");

        new DisconnectInfo(
            "Administrator Eingriff",
            "Du wurdest von einem Admin vom Server geworfen.",
            message,
            player.getUniqueId()
        ).applyKick(player);
    }

    @Override
    @NotNull
    protected List<ApplianceCommand<?>> commands() {
        return List.of(new KickCommand());
    }
}
