package eu.mhsl.craftattack.spawn.appliances.outlawed;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class OutlawedCommand extends ApplianceCommand.PlayerChecked<Outlawed> {
    public OutlawedCommand() {
        super("vogelfrei");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        try {
            getAppliance().switchLawStatus(getPlayer());
            sender.sendMessage(
                getAppliance()
                    .getStatusDescription(getAppliance().getLawStatus(getPlayer()))
            );
        } catch(OutlawChangeNotPermitted e) {
            sender.sendMessage(Component.text(e.getMessage(), NamedTextColor.RED));
        }
    }
}
