package eu.mhsl.craftattack.spawn.appliances.panicBan;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import org.bukkit.Bukkit;
import org.bukkit.OfflinePlayer;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Stream;

public class PanicBanCommand extends ApplianceCommand<PanicBan> {
    public PanicBanCommand() {
        super("panicBan");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        getAppliance().panicBan(args[0]);
    }

    @Override
    public @Nullable List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        return super.tabCompleteReducer(
            Stream.concat(
                Bukkit.getOnlinePlayers().stream().map(Player::getName),
                Arrays.stream(Bukkit.getOfflinePlayers()).map(OfflinePlayer::getName)
            ).toList(),
            args
        );
    }
}
