package eu.mhsl.craftattack.spawn.appliances.playerlimit;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.util.text.DisconnectInfo;
import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent;

public class PlayerLimiterListener extends ApplianceListener<PlayerLimit> {
    @EventHandler
    public void onLogin(AsyncPlayerPreLoginEvent playerPreLoginEvent) {
        playerPreLoginEvent.kickMessage(
            new DisconnectInfo(
                "Hohe Serverauslastung",
                "Der Server ist momentan an seiner Kapazitätsgrenze angelangt!",
                "Bitte versuche es zu einem späteren Zeitpunkt erneut.",
                playerPreLoginEvent.getUniqueId()
            ).getComponent()
        );

        if(Bukkit.getOnlinePlayers().size() >= getAppliance().getLimit())
            playerPreLoginEvent.setLoginResult(AsyncPlayerPreLoginEvent.Result.KICK_FULL);
    }
}
