package eu.mhsl.craftattack.spawn.appliances.settings.settings;

import eu.mhsl.craftattack.spawn.appliances.settings.Settings;
import eu.mhsl.craftattack.spawn.appliances.settings.datatypes.BoolSetting;
import org.bukkit.Material;

public class EnableSettingsShortcutSetting extends BoolSetting {
    public EnableSettingsShortcutSetting() {
        super(Settings.Key.EnableSettingsShortcut);
    }

    @Override
    protected String title() {
        return "Einstellungen mit 'Shift + F' öffnen";
    }

    @Override
    protected String description() {
        return "Wenn aktiviert öffnet sich dieses Einstellungsmenü durch das Drücken von 'Shift + F' im Spiel (Sneaken und Hand-Wechsel)";
    }

    @Override
    protected Material icon() {
        return Material.COMPARATOR;
    }

    @Override
    protected Boolean defaultValue() {
        return false;
    }
}
