package eu.mhsl.craftattack.spawn.appliances.whitelist;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.util.text.DisconnectInfo;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerLoginEvent;

public class PlayerJoinListener extends ApplianceListener<Whitelist> {
    @EventHandler
    public void preLoginEvent(PlayerLoginEvent preLoginEvent) {
        try {
            getAppliance().integrityCheck(preLoginEvent.getPlayer());
        } catch(DisconnectInfo.Throwable e) {
            preLoginEvent.disallow(
                PlayerLoginEvent.Result.KICK_WHITELIST,
                e.getDisconnectScreen().getComponent()
            );
        }
    }
}
