package eu.mhsl.craftattack.spawn.appliances.help.command;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.appliances.help.Help;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class TeamspeakCommand extends ApplianceCommand<Help> {
    private static final String teamspeakKey = "teamspeak";

    public TeamspeakCommand() {
        super("teamspeak");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(!getAppliance().localConfig().isString(teamspeakKey))
            throw new ApplianceCommand.Error("Es wurde kein Teamspeak hinterlegt!");
        sender.sendMessage(
            Component.text()
                .append(Component.text("Joine unserem Teamspeak: ", NamedTextColor.GOLD))
                .append(getTeamspeakIp(getAppliance().localConfig().getString(teamspeakKey)))
        );
    }

    private Component getTeamspeakIp(String ip) {
        return Component.text()
            .append(Component.text(ip, NamedTextColor.AQUA))
            .build();
    }
}
