package eu.mhsl.craftattack.spawn.appliances.kick;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class KickCommand extends ApplianceCommand<Kick> {
    public KickCommand() {
        super("kick");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        getAppliance().kick(
            args[0],
            Arrays.stream(args).skip(1).collect(Collectors.joining(" "))
        );
    }

    @Override
    public @Nullable List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        return super.tabCompleteReducer(
            Bukkit.getOnlinePlayers().stream().map(Player::getName).toList(),
            args
        );
    }
}
