package eu.mhsl.craftattack.spawn.appliances.portableCrafting;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import eu.mhsl.craftattack.spawn.appliances.settings.Settings;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class PortableCrafting extends Appliance {
    public void openFor(Player player) {
        if(!Settings.instance().getSetting(player, Settings.Key.EnablePortableCrafting, Boolean.class)) return;
        player.openWorkbench(null, true);
    }

    @Override
    protected @NotNull List<Listener> eventHandlers() {
        return List.of(new OnCraftingTableUseListener());
    }
}
