package eu.mhsl.craftattack.spawn.appliances.settings.settings;

import eu.mhsl.craftattack.spawn.appliances.settings.Settings;
import eu.mhsl.craftattack.spawn.appliances.settings.datatypes.BoolSetting;
import org.bukkit.Material;

public class HotbarReplaceSetting extends BoolSetting {
    public HotbarReplaceSetting() {
        super(Settings.Key.HotbarReplacer);
    }

    @Override
    protected String title() {
        return "Automatische Hotbar";
    }

    @Override
    protected String description() {
        return "Verschiebe automatisch Blöcke von deinem Inventar in die Hotbar, wenn diese verbraucht werden";
    }

    @Override
    protected Material icon() {
        return Material.CHEST;
    }

    @Override
    protected Boolean defaultValue() {
        return false;
    }
}
