package eu.mhsl.craftattack.spawn.config;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.configuration.ConfigurationSection;

import java.util.Optional;

public class ConfigUtil {
    public static class Position {
        public static Location paseLocation(ConfigurationSection section) {
            return new Location(
                Bukkit.getWorld(Optional.ofNullable(section.getString("world")).orElse("world")),
                section.getDouble("x"),
                section.getDouble("y"),
                section.getDouble("z"),
                (float) section.getDouble("yaw"),
                (float) section.getDouble("pitch")
            );
        }

        public static void writeLocation(ConfigurationSection section, Location location) {
            section.set("world", location.getWorld().getName());
            section.set("x", location.x());
            section.set("y", location.y());
            section.set("z", location.z());
            section.set("yaw", location.getYaw());
            section.set("pitch", location.getPitch());
        }
    }
}
