package eu.mhsl.craftattack.spawn.util.listener;

import org.bukkit.entity.Entity;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryOpenEvent;

import java.util.UUID;

public class DismissInventoryOpenFromHolder implements Listener {
    private final UUID inventoryHolder;

    public DismissInventoryOpenFromHolder(UUID inventoryHolder) {
        this.inventoryHolder = inventoryHolder;
    }

    @EventHandler
    public void onInventoryOpen(InventoryOpenEvent event) {
        if(event.getInventory().getHolder() instanceof Entity holder) {
            if(holder.getUniqueId().equals(this.inventoryHolder)) event.setCancelled(true);
        }
    }
}
